SilverLining for Android 1.0 Skies, 3D clouds, and weather for Android

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes
com::sundogsoftware::silverlining::Atmosphere Class Reference

List of all members.

## Classes
class | InitializeErrors
## Public Member Functions
synchronized void | delete ()
| Atmosphere (String userName, String licenseKey)
float | GetVersionNumber ()
void | SetConditions (AtmosphericConditions conditions)
AtmosphericConditions | GetConditions ()
void | GetSunOrMoonPosition (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetSunOrMoonPositionGeographic (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetSunOrMoonPositionEquatorial (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetSunPosition (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetMoonPosition (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetSunPositionGeographic (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetMoonPositionGeographic (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetSunPositionEquatorial (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetMoonPositionEquatorial (SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | GetSunOrMoonColor (SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
void | GetSunColor (SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
void | GetMoonColor (SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
void | GetAmbientColor (SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
void | GetHorizonColor (float yawDegrees, float pitchDegrees, SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
void | GetHorizonColor (float pitchDegrees, SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
boolean | GetFogEnabled ()
void | GetFogSettings (SWIGTYPE_p_float density, SWIGTYPE_p_float r, SWIGTYPE_p_float g, SWIGTYPE_p_float b)
void | SetHaze (float hazeR, float hazeG, float hazeB, double hazeDepth, double hazeDensity)
void | GetHaze (SWIGTYPE_p_float hazeR, SWIGTYPE_p_float hazeG, SWIGTYPE_p_float hazeB, SWIGTYPE_p_double hazeDepth, SWIGTYPE_p_double hazeDensity)
void | SetGamma (double gamma)
double | GetGamma ()
void | ForceLightingRecompute ()
int | Initialize (int renderer, String resourceDirectoryPath, boolean rightHanded, SWIGTYPE_p_void environment)
void | SetUpVector (double x, double y, double z)
void | GetUpVector (SWIGTYPE_p_double x, SWIGTYPE_p_double y, SWIGTYPE_p_double z)
void | SetRightVector (double x, double y, double z)
void | GetRightVector (SWIGTYPE_p_double x, SWIGTYPE_p_double y, SWIGTYPE_p_double z)
void | SetCameraMatrix (SWIGTYPE_p_double cameraMatrix)
void | SetProjectionMatrix (SWIGTYPE_p_double projectionMatrix)
boolean | DrawSky (boolean drawSky, boolean geocentricMode, double skyBoxDimension, boolean drawStars, boolean clearDepth)
boolean | DrawSky (boolean drawSky, boolean geocentricMode, double skyBoxDimension, boolean drawStars)
boolean | DrawSky (boolean drawSky, boolean geocentricMode, double skyBoxDimension)
boolean | DrawSky (boolean drawSky, boolean geocentricMode)
boolean | DrawSky (boolean drawSky)
boolean | DrawObjects (boolean drawClouds, boolean drawPrecipitation, boolean enableDepthTest)
boolean | DrawObjects (boolean drawClouds, boolean drawPrecipitation)
boolean | DrawObjects (boolean drawClouds)
boolean | DrawObjects ()
void | OverrideCloudLighting (float ambientR, float ambientG, float ambientB, float diffuseR, float diffuseG, float diffuseB)
void | ClearCloudLightingOverride ()
double | GetFramerate ()
SWIGTYPE_p_std__vectorT_void_p_t | GetObjects ()
float | GetObjectDistance (SWIGTYPE_p_void obj, float obj2X, float obj2Y, float obj2Z, float sortPosX, float sortPosY, float sortPosZ)
float | GetObjectDistance (SWIGTYPE_p_void obj, SWIGTYPE_p_void obj2, float sortPosX, float sortPosY, float sortPosZ)
void | GetObjectPosition (SWIGTYPE_p_void obj, SWIGTYPE_p_float x, SWIGTYPE_p_float y, SWIGTYPE_p_float z)
void | DrawObject (SWIGTYPE_p_void obj)
void | ReloadConfigFile ()
void | SetConfigOption (String key, String value)
String | GetConfigOptionString (String key)
double | GetConfigOptionDouble (String key)
boolean | GetConfigOptionBoolean (String key)
void | UpdateEphemeris ()
void | SetInfraRedMode (boolean bInfraRed)
boolean | GetInfraRedMode ()
void | DisableFarCulling (boolean bDisable)
boolean | GetFarCullingDisabled ()
void | EnableLensFlare (boolean bEnabled)
boolean | GetLensFlareEnabled ()
float | GetSunOcclusion ()
## Static Public Member Functions
static void | EnableHDR (boolean hdr)
static boolean | GetHDREnabled ()
static void | SetWorldUnits (double meters)
static double | GetUnitScale ()
## Static Public Attributes
static final int | OPENGL = SilverLiningCloudLayerFactoryJNI.Atmosphere_OPENGL_get()
static final int | DIRECTX9 = SilverLiningCloudLayerFactoryJNI.Atmosphere_DIRECTX9_get()
static final int | DIRECTX10 = SilverLiningCloudLayerFactoryJNI.Atmosphere_DIRECTX10_get()
static final int | DIRECTX11 = SilverLiningCloudLayerFactoryJNI.Atmosphere_DIRECTX11_get()
static final int | CUSTOM_RENDERER = SilverLiningCloudLayerFactoryJNI.Atmosphere_CUSTOM_RENDERER_get()
static final int | OPENGL32CORE = SilverLiningCloudLayerFactoryJNI.Atmosphere_OPENGL32CORE_get()
static final int | OPENGLES2 = SilverLiningCloudLayerFactoryJNI.Atmosphere_OPENGLES2_get()
## Protected Member Functions
| Atmosphere (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (Atmosphere obj)
## Protected Attributes
boolean | swigCMemOwn

The documentation for this class was generated from the following file:

- C:/sl/android/SilverLiningAndroidLibrary/src/com/sundogsoftware/silverlining/Atmosphere.java